Subject: bug#55940: macOS: <ns-show-prefs> displayed as keybinding for \\[customize]

From: Stefan Kangas <[email-masked]>
Date: Tue, 14 Jun 2022 12:58:16 +0200

Po Lu <[email-masked]> writes:

> Daniel Martín <[email-masked]> writes:
>
> > I think it's fine to only update the documentation.  We can expand the
> > text a bit and say that <ns-open-prefs> is usually sent by the OS when
> > Emacs is the front process and the user presses `Cmd-,' (comma).  This
> > is officially documented, at least for macOS
> > (https://support.apple.com/en-us/HT201236).
>
> I did not know that, I only knew about the "Preferences" menu item.  I
> guess it should be mentioned in the documentation.

On my macOS 10.13 machine, `Cmd-,` translates to `s-,' using emacs -Q.

> > Similarly, we already say that the fonts panel event is sent with
> > `Cmd-t`.
>
> It is?

Here, it translates to `s-t'.